//
// Copyright 2010 Jacob Gladish. All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
// 
//    1. Redistributions of source code must retain the above copyright notice, this list of
//       conditions and the following disclaimer.
// 
//    2. Redistributions in binary form must reproduce the above copyright notice, this list
//       of conditions and the following disclaimer in the documentation and/or other materials
//       provided with the distribution.
// 
// THIS SOFTWARE IS PROVIDED BY Jacob Gladish ``AS IS'' AND ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// 
// The views and conclusions contained in the software and documentation are those of the
// authors and should not be interpreted as representing official policies, either expressed
// or implied, of <copyright holder>.
// 
#include "StdAfx.h"
#include "Error_m.h"
#include "stdhdrs.h"
#include <stdlib.h>

p4dn::Error::Error( void )
{    
    _err = new ::Error();    
    _requiresFree = true;
}

p4dn::Error::~Error( void )
{            
    if (_requiresFree) {
        delete _err;
    }
}

 void p4dn::Error::Clear()
 {
    _err->Clear();
 }

 bool p4dn::Error::Test() 
 {
    return _err->GetSeverity() == E_INFO;
 }

 bool p4dn::Error::IsInfo()
 {
     return _err->GetSeverity() == E_INFO;   
 }

 bool p4dn::Error::IsWarning()
 {
     return _err->GetSeverity() == E_WARN;     
 }

 bool p4dn::Error::IsFatal()
 {
     return _err->GetSeverity() == E_FATAL;     
 }

 System::String* p4dn::Error::Fmt()
 {     
     ::StrBuf buf;
     _err->Fmt( &buf ); 
     System::String* temp = buf.Text();     
     return temp->Trim();
 }

